Recommended update for crmsh

SUSE Recommended Update: Recommended update for crmsh
Announcement ID: SUSE-RU-2018:2544-1
Rating: moderate
References: #1050427 #1066156 #1069802 #1070344 #1074127 #1084730 #1087248 #1093433 #1096783
Affected Products:
  • SUSE Linux Enterprise High Availability 12-SP3

An update that has 9 recommended fixes can now be installed.

Description:

This update for crmsh provides version 3.0.3 and fixes the following
issues:

- bootstrap: Suppress the error message. (bsc#1087248)
- bootstrap: Expected votes wouldn't update in unicast mode. (bsc#1087248)
- bootstrap: Run "csync2_update" for all files after new joining node call
csync2_remote. (bsc#1087248)
- utils: Avoid crash on missing process id. (bsc#1084730)
- bootstrap: Fix UnboundLocalError: local variable 'nodename' referenced
before assignment.
- ui_cluster: When use help option, do not exit, just print help messages
and return.
- ui_cluster: when have an error for optparse, just return and stay at
shell.
- Fix SBD configuration when using SBD device.
- bootstrap: Improve message when sbd is not installed. (bsc#1050427)
- bootstrap: Missing dmidecode on ppc64le. (bsc#1069802)
- ra: Don't require deprecated parameters.
- Fix is_program(dmidecode) error. (bsc#1070344)
- ui_resource: Using crm_failcount instead of crm_attribute. (bsc#1074127)
- ui_node: normal is deprecated in favor of member.
- ui_cluster: Stop corosync when stopping pacemaker. (bsc#1066156)
- Parse /32 route entries.
- Fix TypeError in logparser.py. (bsc#1093433)
- config: Locate pacemaker daemons more intelligently. (bsc#1096783)
- ra: Support Pacemaker 2.0 daemon names.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 12-SP3:
    zypper in -t patch SUSE-SLE-HA-12-SP3-2018-1779=1

Package List:

  • SUSE Linux Enterprise High Availability 12-SP3 (noarch):
    • crmsh-3.0.3-13.3.1
    • crmsh-scripts-3.0.3-13.3.1

References: